"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EmptyTrashBinByModel = void 0;
var _ProcessDeleteEntriesTasks = require("./ProcessDeleteEntriesTasks");
var _CreateDeleteEntriesTasks = require("./CreateDeleteEntriesTasks");
class EmptyTrashBinByModel {
  async execute(params) {
    const {
      input,
      response
    } = params;
    try {
      if (input.processing) {
        const processDeleteEntriesTasks = new _ProcessDeleteEntriesTasks.ProcessDeleteEntriesTasks();
        return await processDeleteEntriesTasks.execute(params);
      }
      const createDeleteEntriesTasks = new _CreateDeleteEntriesTasks.CreateDeleteEntriesTasks();
      return await createDeleteEntriesTasks.execute(params);
    } catch (ex) {
      return response.error(ex.message ?? "Error while executing EmptyTrashBinByModel");
    }
  }
}
exports.EmptyTrashBinByModel = EmptyTrashBinByModel;

//# sourceMappingURL=EmptyTrashBinByModel.js.map